# ik invoicing for dingtalk

`react` + `react-router` + `redux` + `react-redux` + `reselect` + `react-saga` + `webpack`

```
  项目初始化原型来源于[react-boilerplate](https://github.com/mxstbr/react-boilerplate/)
```

## Installation
```
npm run setup
```
## build
```
构建生产环境
npm run build
```
## server
```
开发
npm run start
```
## 部署
```
npm run deploy-dev           # 开发环境
npm run deploy-test          # 测试环境
npm run deploy               # 生产环境
npm run deploy-kingdee-dev   # 云之家开发环境
```

## test
```
npm run test
```

## 代码规范：
代码组织：代码目录组织结构按功能模块组织，目录名称使用复数。例如客户模块目录组织结构如下:
```
src/customers
├── customers.config.js
├── customers.controller.js
├── customers.service.js
└── customers.html
```
目录和文件命名风格: `underscore_separated_feature.type.js`
`service` 和 `controller` 的命名请使用 `FeatureFunctionType`的命名方式, 例如转移客户给他人的 `service` 可以这样命名: `CustomerTransferService`

angular通用书写指导手册[angular-styleguide](https://github.com/johnpapa/angular-styleguide/blob/master/i18n/zh-CN.md)

css规范指导[css-styleguide](http://cssguidelin.es/)

代码缩进：代码缩进统一使用2个空格，各个编辑器的EditorConfig配置请见：[EditorConfig](http://editorconfig.org/)
## API接口

API文档地址: http://dev.api.ikcrm.com/api_doc/index.html

测试数据:
```
access_token: 9ad4a66396ac9fdd8161f77a4b9e0b7cc38c192e4ceccfcbc40fb2fccc85e544066f743e33726c51b2223b
user_token:   c6347b0158da16c36af274ca58755f0a
device:       dingtalk
version_code: 1.0
```

###  注意：

所有的功能模块都在src目录下开发，比如开发“商机”模块时，在src目录下创建opportunities目录，将相关的文件全部放到该目录下。

所有调试日志统一用 `$log`, 方便全局启用或禁用
